Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162029 - mtr does not work with --address option
Summary: mtr does not work with --address option
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mtr
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-29 10:08 UTC by Alexander Lukyanov
Modified: 2015-03-05 01:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-05 15:11:54 UTC


Attachments (Terms of Use)

Description Alexander Lukyanov 2005-06-29 10:08:06 UTC
Description of problem:
mtr does not work with --address option, fails with a bogus error message

Version-Release number of selected component (if applicable):
0.69-3

How reproducible:
always

Steps to Reproduce:
1. run 'mtr --address a.b.c.d', where a.b.c.d is an IP address on local network
interface.
  
Actual results:
mtr: failed to bind to interface: Socket operation on non-socket

Expected results:
mtr should start emitting IP packets with the given address as source.

Additional info:
strace shows that mtr tries to bind file descriptor 0:
bind(0, {sa_family=AF_UNSPEC, sa_data="\0\0\0\0\0\0\0\0\0\0\0\0\0\0"}, 128) = -1
ENOTSOCK (Socket operation on non-socket)

Comment 1 Phil Knirsch 2005-09-05 12:29:53 UTC
Looking into it, something seems broken here...

Read ya, Phil

Comment 2 Phil Knirsch 2005-09-05 15:11:54 UTC
OK, interface got set before the any sockets were opened. The latest development
version will have a fix.

Keep in mind though that the --address option is really limited to IPv4 ip
addresses at the moment.

Read ya, Phil

Comment 3 Fedora Update System 2006-03-27 16:52:31 UTC
mtr-0.71-0.FC4.1 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.